> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Get Lookup Table Values

GET https://api.filesearch.dev/v2/datasets/odyssey/fundamentals/lookup-tables/{tableId}

Get values from a specific lookup table.

Returns the rows of data for the specified table.

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/sandbox-data/fundamentals-lookup-table-values

## Request

### Path parameters

- `tableId` (string, required)

## Response

### 200

Successful Response

- `success` (boolean, optional)
- `data` (OdysseyFundamentalsLookupTableValuesResponseData, optional)

## Types

### OdysseyFundamentalsLookupTableValuesResponseData

- `table_id` (string, optional)
- `rows` (list of OdysseyFundamentalsLookupTableValuesResponseDataRowsItems, optional)
- `total` (integer, optional)

### OdysseyFundamentalsLookupTableValuesResponseDataRowsItems

- `code` (string, optional)
- `name` (string, optional)

## Examples

**Response**

```json
{
  "success": true,
  "data": {
    "table_id": "sectors",
    "rows": [
      {
        "code": "11",
        "name": "Agriculture, Forestry, Fishing and Hunting"
      },
      {
        "code": "21",
        "name": "Mining, Quarrying, and Oil and Gas Extraction"
      }
    ],
    "total": 11
  }
}
```

**SDK Code**

```python Python REST
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/fundamentals/lookup-tables/sectors",
    headers=headers,
    timeout=60.0
)
print(response.json())
```

```typescript TypeScript REST
const BASE_URL = "https://api.filesearch.dev";
const API_KEY = "your_api_key";

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/fundamentals/lookup-tables/sectors`, {
    method: "GET",
    headers: { "Authorization": `Bearer ${API_KEY}` }
});
console.log(await response.json());
```